patches/gcc/4.4.4/300-uclibc-conf.patch
author "Yann E. MORIN" <yann.morin.1998@free.fr>
Tue Oct 16 20:57:44 2012 +0200 (2012-10-16)
changeset 3079 37831a33e07e
parent 1948 d341be24dc68
permissions -rw-r--r--
kernel/linux: fix using custom location

Currently, extract and patch are skipped as thus:
- using a custom directory of pre-installed headers
- a correctly named directory already exists

Otherwise, extract and patch are done.

The current second condition is wrong, because it allows the following
sequence to happen:
- a non-custom kernel is used
- a previous build only partially extracted the non-custom sources
- that p[revious build broke during extraction (eg. incomplete tarball...)
- a subsequent build will find a properly named directory, and will
thus skip extract and patch, which is wrong

Fix that by following the conditions in this table:

Type | Extract | Patch
----------------------+---------+-------
Pre-installed headers | N | N
custom directory | N | N
custom tarball | Y | N
mainstream tarball | Y | Y

Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Cc: David Holsgrove <david.holsgrove@xilinx.com>
yann@1948
     1
diff -durN gcc-4.4.4.orig/contrib/regression/objs-gcc.sh gcc-4.4.4/contrib/regression/objs-gcc.sh
yann@1948
     2
--- gcc-4.4.4.orig/contrib/regression/objs-gcc.sh	2009-04-10 01:23:07.000000000 +0200
yann@1948
     3
+++ gcc-4.4.4/contrib/regression/objs-gcc.sh	2010-05-16 19:36:36.000000000 +0200
yann@1948
     4
@@ -106,6 +106,10 @@
yann@1948
     5
  then
yann@1948
     6
   make all-gdb all-dejagnu all-ld || exit 1
yann@1948
     7
   make install-gdb install-dejagnu install-ld || exit 1
yann@1948
     8
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
yann@1948
     9
+ then
yann@1948
    10
+  make all-gdb all-dejagnu all-ld || exit 1
yann@1948
    11
+  make install-gdb install-dejagnu install-ld || exit 1
yann@1948
    12
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
yann@1948
    13
   make bootstrap || exit 1
yann@1948
    14
   make install || exit 1
yann@1948
    15
diff -durN gcc-4.4.4.orig/libjava/classpath/ltconfig gcc-4.4.4/libjava/classpath/ltconfig
yann@1948
    16
--- gcc-4.4.4.orig/libjava/classpath/ltconfig	2007-06-04 01:18:43.000000000 +0200
yann@1948
    17
+++ gcc-4.4.4/libjava/classpath/ltconfig	2010-05-16 19:36:36.000000000 +0200
yann@1948
    18
@@ -603,7 +603,7 @@
yann@1948
    19
 
yann@1948
    20
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
yann@1948
    21
 case $host_os in
yann@1948
    22
-linux-gnu*) ;;
yann@1948
    23
+linux-gnu*|linux-uclibc*) ;;
yann@1948
    24
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
yann@1948
    25
 esac
yann@1948
    26
 
yann@1948
    27
@@ -1251,7 +1251,7 @@
yann@1948
    28
   ;;
yann@1948
    29
 
yann@1948
    30
 # This must be Linux ELF.
yann@1948
    31
-linux-gnu*)
yann@1948
    32
+linux*)
yann@1948
    33
   version_type=linux
yann@1948
    34
   need_lib_prefix=no
yann@1948
    35
   need_version=no